Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161294 - default toolbar icons mis-match application and are unpolished
Summary: default toolbar icons mis-match application and are unpolished
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
: 161289 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 03:28 UTC by Steve Hall
Modified: 2018-04-11 06:49 UTC (History)
4 users (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-26 11:07:01 UTC


Attachments (Terms of Use)

Description Steve Hall 2005-06-22 03:28:36 UTC
Description of problem:

The default toolbar icons are not the standard Firefox icons and need
considerably more energy directed at integrating them to achieve the same polish:

o They mis-match the default "un-translated" shapes (lock/secure site symbol,
new tab icon on tab bar, throbber, all the preferences icons)
o They graphically mis-match the container button relief shapes on mouseover.
(The icons are rough and sketchy, the relief shapes are smooth and technical.)
o Their scale is too small, hard to read, and out of proportion with adjacent
text (higher-res 1600x1200 display).
o The icons mis-match the style found in the Firefox graphic in the About dialog.
o The default Fedora Core 4 theme (Clearlooks) has a polished, smooth technical
look which does not match the character of the "old" GNOME icons in the toolbar.
o The theme title "Firefox (default)" is erroneous, this is the default GNOME
theme, not the default Firefox one. Anyone who has ever used Firefox (1million
downloads) would be confused by it.


Version-Release number of selected component (if applicable):

1.0.4


How reproducible:

Always


Expected results:

Suitable refinement to the shipped icons should have occured before dispatching
Firefox's default icons. The argument for an integrated desktop environment is
baseless here... it is obvious that branding GNOME was a higher priority than
any actual integration given the number of rough edges left by this change.

Comment 1 Cameron L Palmer 2005-06-23 23:10:16 UTC
I've got to agree. The firefox 'theme' they created for Fedora Core 4 is ugly.
No offense to whomever created it. Could you at least offer the standard firefox
theme in addition to this new 'ugly' theme? I'm working on a way to get rid of
it by hand and revert to the standard firefox icons.

Comment 2 Gerwin Krist 2005-07-29 07:31:47 UTC
*** Bug 161289 has been marked as a duplicate of this bug. ***

Comment 3 Ian Young 2005-12-31 15:34:56 UTC
I'm observing not an ugly default theme, but one without any navigation buttons
in the default theme.  This is on a system recently upgraded from FC3 to FC4. 
Installing another theme is a viable workround, though.

Comment 4 Christian Iseli 2007-01-20 00:46:02 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 Steve Hall 2007-01-20 03:50:49 UTC
Things look fine in FC6, this can be closed.

Comment 6 Matěj Cepl 2007-01-26 11:07:01 UTC
Closing per reporter's request.


Note You need to log in before you can comment on or make changes to this bug.